| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPGValidationInfo Class Reference

`#include <wx/propgrid/propgrid.h>`

## Detailed Description

Used to convey validation information to and from functions that actually perform validation.

Mostly used in custom property classes.

## Public Member Functions

wxPGVFBFlags | GetFailureBehavior ()
const wxString & | GetFailureMessage () const
| Returns current failure message. More...
wxVariant & | GetValue ()
| Returns reference to pending value. More...
void | SetFailureBehavior (wxPGVFBFlags failureBehavior)
| Set validation failure behaviour. More...
void | SetFailureMessage (const wxString &message)
| Set current failure message. More...

## Member Function Documentation

wxPGVFBFlags wxPGValidationInfo::GetFailureBehavior | ( |  | ) |

Returns
  Returns failure behaviour which is a combination of wxPropertyGrid Validation Failure behaviour Flags.

const wxString& wxPGValidationInfo::GetFailureMessage | ( |  | ) | const

Returns current failure message.

wxVariant& wxPGValidationInfo::GetValue | ( |  | ) |

Returns reference to pending value.

void wxPGValidationInfo::SetFailureBehavior | ( | wxPGVFBFlags | failureBehavior | ) |

Set validation failure behaviour.

Parameters

  failureBehavior | Mixture of wxPropertyGrid Validation Failure behaviour Flags.

void wxPGValidationInfo::SetFailureMessage | ( | const wxString & | message | ) |

Set current failure message.